List customer impersonation tokens

Returns a paginated list of the customer impersonation tokens your API account has issued. The token's JWT string is never returned; each entry includes a `jti` identifier that you use to revoke the token, as well as `is_revoked` and `is_expired` flags. Revoked and expired tokens are included in the list. **Required Scopes** * `Manage` `Storefront API Customer Impersonation Tokens` > NOTE: This endpoint only returns customer impersonation tokens issued by the API account making the request. Tokens issued by another API account are never returned. Storefront and private tokens require the `Storefront API Tokens` scope and are never returned here.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Storefront API Customer Impersonation Tokens | manage | `store_storefront_api_customer_impersonation` | | Storefront API Tokens | manage | `store_storefront_api` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

pageintegerOptional>=1Defaults to 1
The page of results to return.
limitintegerOptional1-250Defaults to 50
The number of results to return per page. Values above 250 are capped at 250.
sortenumOptionalDefaults to issued_at
The field to sort the results by.
Allowed values:
directionenumOptionalDefaults to asc
The direction to sort the results by.
Allowed values:

Response

A paginated list of issued tokens.
datalist of objectsOptional
metaobjectOptional
Data about the response, including pagination.

Errors

422
Unprocessable Entity Error